{
    attributes = (
        {
            columnName = "BOR_ID"; 
            externalType = NUMBER; 
            name = borId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "BRJ_ORDRE"; 
            externalType = NUMBER; 
            name = brjOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MAN_NUMERO"; 
            externalType = NUMBER; 
            name = detailNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MAN_TTC"; 
            externalType = NUMBER; 
            name = detailTtc; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FOU_ORDRE"; 
            externalType = NUMBER; 
            name = fouOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "GES_CODE"; 
            externalType = VARCHAR2; 
            name = gesCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAN_DATE_REMISE"; 
            externalType = DATE; 
            name = manDateRemise; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAN_DATE_VISA_PRINC"; 
            externalType = DATE; 
            name = manDateVisaPrinc; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "MAN_ETAT"; 
            externalType = VARCHAR2; 
            name = manEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAN_ETAT_REMISE"; 
            externalType = VARCHAR2; 
            name = manEtatRemise; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "MAN_HT"; 
            externalType = NUMBER; 
            name = manHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "MAN_ID"; 
            externalType = NUMBER; 
            name = manId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAN_MOTIF_REJET"; 
            externalType = VARCHAR2; 
            name = manMotifRejet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAN_NB_PIECE"; 
            externalType = NUMBER; 
            name = manNbPiece; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = "MAN_NUMERO"; 
            externalType = NUMBER; 
            name = manNumero; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAN_NUMERO_REJET"; 
            externalType = NUMBER; 
            name = manNumeroRejet; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = "MAN_ORDRE"; 
            externalType = NUMBER; 
            name = manOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAN_ORGINE_KEY"; 
            externalType = NUMBER; 
            name = manOrgineKey; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAN_ORIGINE_LIB"; 
            externalType = VARCHAR2; 
            name = manOrigineLib; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "MAN_TTC"; 
            externalType = NUMBER; 
            name = manTtc; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "MAN_TVA"; 
            externalType = NUMBER; 
            name = manTva; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MOD_ORDRE"; 
            externalType = NUMBER; 
            name = modOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MAN_MOTIF_REJET"; 
            externalType = VARCHAR2; 
            name = motifRejet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1000; 
        }, 
        {
            columnName = "ORG_ORDRE"; 
            externalType = NUMBER; 
            name = orgOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORI_ORDRE"; 
            externalType = NUMBER; 
            name = oriOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PAI_ORDRE"; 
            externalType = NUMBER; 
            name = paiOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PREST_ID"; 
            externalType = NUMBER; 
            name = prestId; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "RIB_ORDRE_COMPTABLE"; 
            externalType = NUMBER; 
            name = ribOrdreComptable; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "RIB_ORDRE_ORDONNATEUR"; 
            externalType = NUMBER; 
            name = ribOrdreOrdonnateur; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = "TOR_ORDRE"; 
            externalType = NUMBER; 
            name = torOrdre; 
            valueClassName = NSNumber; 
            valueType = d; 
        }
    ); 
    attributesUsedForLocking = (
        modOrdre, 
        gesCode, 
        motifRejet, 
        pcoNum, 
        borId, 
        manOrdre, 
        manNbPiece, 
        brjOrdre, 
        manNumero, 
        orgOrdre, 
        manNumeroRejet, 
        oriOrdre, 
        manEtatRemise, 
        prestId, 
        manOrgineKey, 
        exeOrdre, 
        detailNumero, 
        manId, 
        ribOrdreComptable, 
        manMotifRejet, 
        ribOrdreOrdonnateur, 
        manEtat, 
        paiOrdre, 
        torOrdre, 
        manOrigineLib, 
        fouOrdre, 
        manHt, 
        manDateVisaPrinc
    ); 
    className = "org.cocktail.abricot.server.metier.EOMandat"; 
    classProperties = (
        modOrdre, 
        gesCode, 
        motifRejet, 
        pcoNum, 
        bordereau, 
        borId, 
        manOrdre, 
        manNbPiece, 
        manDateRemise, 
        brjOrdre, 
        manNumero, 
        orgOrdre, 
        vFournisseur, 
        manNumeroRejet, 
        oriOrdre, 
        detailTtc, 
        manEtatRemise, 
        prestId, 
        manOrgineKey, 
        exeOrdre, 
        detailNumero, 
        manTva, 
        ribOrdreComptable, 
        manMotifRejet, 
        ribOrdreOrdonnateur, 
        manEtat, 
        paiOrdre, 
        torOrdre, 
        manOrigineLib, 
        fouOrdre, 
        manHt, 
        manDateVisaPrinc, 
        manTtc, 
        manId, 
        organ, 
        modePaiement
    ); 
    externalName = "MARACUJA.MANDAT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            modOrdre, 
            gesCode, 
            motifRejet, 
            pcoNum, 
            bordereau, 
            borId, 
            manOrdre, 
            manNbPiece, 
            manDateRemise, 
            brjOrdre, 
            manNumero, 
            orgOrdre, 
            vFournisseur, 
            manNumeroRejet, 
            oriOrdre, 
            detailTtc, 
            manEtatRemise, 
            prestId, 
            manOrgineKey, 
            exeOrdre, 
            detailNumero, 
            manTva, 
            ribOrdreComptable, 
            manMotifRejet, 
            ribOrdreOrdonnateur, 
            manEtat, 
            paiOrdre, 
            torOrdre, 
            manOrigineLib, 
            fouOrdre, 
            manHt, 
            manDateVisaPrinc, 
            manTtc, 
            manId, 
            modePaiement
        ); 
        "_javaClientClassName" = "org.cocktail.abricot.client.eof.modele.EOMandat"; 
    }; 
    name = Mandat; 
    primaryKeyAttributes = (manId); 
    relationships = (
        {
            destination = Bordereau; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = borId; sourceAttribute = borId; }); 
            name = bordereau; 
        }, 
        {
            destination = "ca_ModePaiement"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = modOrdre; sourceAttribute = modOrdre; }); 
            name = modePaiement; 
        }, 
        {
            destination = "ca_Organ"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgOrdre; }); 
            name = organ; 
        }, 
        {
            destination = "ca_VFournisseur"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fouOrdre; sourceAttribute = fouOrdre; }); 
            name = vFournisseur; 
        }
    ); 
    userInfo = {fetchSpecificationDictionary = {}; }; 
}
